%set_verify_elf_method textrel=relaxed

%define	vdrbuild	1.3.15-alt1
%define	plugindir	/usr/lib/vdr
%define pname 		channelswitcher

Name: vdr-%pname
Version: 0.0.1b
Release: alt3

Summary: Channel list switcher for VDR
Summary(ru_RU.UTF-8): Переключатель списков каналов для VDR
License: GPL
Group: Video
URL: http://www.freewebs.com/sadhome/Plugin/ChanSwitch.html
Source0: %name-%version.tar.gz
Patch0: russian-%pname-%version.diff
BuildPreReq: kernel-headers-dvb vdr-devel = %vdrbuild
BuildRequires: gcc-c++ libjpeg-devel libstdc++-devel
Requires: vdr = %vdrbuild

%description
This plugin makes it possible to use several independent lists of channels (channels.conf) and
select needed in a menu. 

%description -l ru_RU.UTF-8
Этот модуль позволяет использовать несколько независимых списков каналов (channels.conf) и выбирать 
нужный в меню.

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp -r %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir

%files
%plugindir/*
%doc PLUGINS/src/%pname/README

%changelog
* Fri Nov 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.1b-alt3
- vdr-1.3.15

* Fri Oct 29 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.1b-alt2
- vdr-1.3.14

* Sun Oct 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.1b-alt1
- Initial build
